PATH = ..\..
VCPATH = c:\msvc\bin
VCROOT = c:\msvc

# Set the IDAPI INCLUDE and LIB directory
!ifndef IDAPIINC
IDAPIINC = $(PATH)\include
!endif

!ifndef IDAPILIB
IDAPILIB = $(PATH)\lib
!endif

# Set the full INCLUDE and LIB search paths
INCLUDE = $(IDAPIINC);$(INCLUDE)
LIB     = $(IDAPILIB);$(LIB)
LINKOPT = /NOLOGO /NOD /PACKC:61440 /ALIGN:16 /ONERROR:NOEXE /CO /SEG:256 /CODEVIEW
OBJS_EXT =
MAPFILE = 

OBJS    = \
   aliases.obj\
   batmove.obj\
   blobio.obj\
   blobsmpl.obj\
   block.obj\
   bookmark.obj\
   callback.obj\
   config.obj\
   cr8pxtbl.obj\
   cr8dbtbl.obj\
   cr8txtbl.obj\
   dbio.obj\
   dblogin.obj\
   drvcaps.obj\
   errval.obj\
   fieldmap.obj\
   filter.obj\
   filtcomp.obj\
   filtcont.obj\
   format.obj\
   idxdbase.obj\
   idxexpr.obj\
   idxpdox.obj\
   initeng.obj\
   inmemtbl.obj\
   inputreq.obj\
   langdrv.obj\
   lnkcrsr.obj\
   lsql.obj\
   lsqljoin.obj\
   lsqllive.obj\
   navigate.obj\
   optparam.obj\
   password.obj\
   prdxsort.obj\
   qbe.obj\
   qbe2.obj\
   range.obj\
   reclock.obj\
   recupdat.obj\
   rdolock.obj\
   refinteg.obj\
   search.obj\
   secdesc.obj\
   session.obj\
   softdel.obj\
   sqlbind.obj\
   sysinfo.obj\
   tblinfo.obj\
   tbllist.obj\
   tbllock.obj\
   tblopen.obj\
   tbrstrct.obj\
   test.obj\
   textimp.obj\
   textexp.obj\
   transact.obj\
   upsize.obj\
   valcheck.obj\
   input.obj\
   snipdata.obj\
   snipmain.obj\
   sniptool.obj


SNIPIT.EXE::   $(OBJS) $(OBJS_EXT) SNIPIT.DEF
    echo >NUL @<<SNIPIT.CFG
aliases.obj+
batmove.obj+
blobio.obj+
blobsmpl.obj+
block.obj+
bookmark.obj+
callback.obj+
config.obj+
cr8pxtbl.obj+
cr8dbtbl.obj+
cr8txtbl.obj+
dbio.obj+
dblogin.obj+
drvcaps.obj+
errval.obj+
fieldmap.obj+
filter.obj+
filtcomp.obj+
filtcont.obj+
format.obj+
idxdbase.obj+
idxexpr.obj+
idxpdox.obj+
initeng.obj+
inmemtbl.obj+
inputreq.obj+
langdrv.obj+
lnkcrsr.obj+
lsql.obj+
lsqljoin.obj+
lsqllive.obj+
navigate.obj+
optparam.obj+
password.obj+
prdxsort.obj+
qbe.obj+
qbe2.obj+
range.obj+
reclock.obj+
recupdat.obj+
rdolock.obj+
refinteg.obj+
search.obj+
secdesc.obj+
session.obj+
softdel.obj+
sqlbind.obj+
sysinfo.obj+
tblinfo.obj+
tbllist.obj+
tbllock.obj+
tblopen.obj+
tbrstrct.obj+
test.obj+
textimp.obj+
textexp.obj+
transact.obj+
upsize.obj+
valcheck.obj+
input.obj+
snipdata.obj+
snipmain.obj+
sniptool.obj+
$(OBJS_EXT)
SNIPIT.EXE
$(MAPFILE)
$(PATH)\LIB\IDAPI.LIB+
$(VCROOT)\LIB\OLDNAMES.LIB+
$(VCROOT)\LIB\LIBW+
$(VCROOT)\LIB\LLIBCEW+
$(PATH)\LIB\CTL3DMSC.LIB
SNIPIT.DEF;
<<
    $(VCPATH)\link $(LINKOPT) @SNIPIT.CFG     
    $(VCPATH)\RC /NOLOGO -r -d_DEBUG SNIPIT.RC
    $(VCPATH)\rc /NOLOGO SNIPIT.RES $@       

.c.obj :
    $(VCPATH)\cl /c /nologo /G2 /W3 /Zi /AL /Gt10 /Gx- /Od /D "_DEBUG" \
    /D "STRICT" /D "WIN31" /FR /GA /Fd"SNIPIT.PDB" $*.c
    


